Index: trunk/Cocoa/F-Script Anywhere/Source/Read Me
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 19)
+++ trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 153)
@@ -1,4 +1,4 @@
-F-Script Anywhere 1.1.5 [1 October 2002]
-=======================
+F-Script Anywhere 1.2 [5 January 2004]
+=====================
 
 Add a F-Script interpreter to Cocoa applications dynamically.
@@ -24,8 +24,9 @@
 directory, such as /Library/Frameworks or ~/Library/Frameworks.
 
-F-Script Anywhere 1.1.5 was tested with FScript.framework 1.2.2
-(20020604), Mac OS X 10.1.5 (5S66) and 10.2.1 (6D52).  It may or may
-not work with earlier or later versions, I don't know.  If you are
-using an earlier F-Script version, please upgrade.
+F-Script Anywhere 1.2 was tested with FScript.framework 1.2.5
+(20031020) and Mac OS X 10.3.2 (7D24).  If you are using an earlier
+F-Script version, please upgrade.  F-Script Anywhere 1.2 should also
+work with Mac OS X 10.2.x, but will not work with Mac OS X 10.1 or
+earlier: please use F-Script Anywhere 1.1.5 instead.
 
 
@@ -50,9 +51,8 @@
 explaining the problem.
 
-When you're finished, quit the application before quitting F-Script
-Anywhere, otherwise the application will crash.  This is an inherent
-limitation of the Objective-C runtime, and I can't do anything about
-it.  F-Script Anywhere will warn you if you try to quit it when it's
-still installed in active applications.
+To remove F-Script Anywhere from an application, quit the application.
+Because of limitations in Apple's Objective-C runtime, it is
+impossible to remove F-Script Anywhere while the application is
+running.
 
 
@@ -65,27 +65,5 @@
 1. Install FScript.framework (see above).
 
-2. Install libPatch 1.2.1.
-
-   <http://web.sabi.net/nriley/software/libPatch-1.2.1.tgz>
-
-   I'd suggest you do it this way:
-
-   % cd /
-   % sudo gnutar --preserve-permissions -zxf libPatch-1.2.1.tgz
-   Password:
-     (please don't use StuffIt Expander)
-
-   This installs files in /Developer/Examples and
-   /usr/local/{bin,include,lib}.  If you're paranoid, you may want to
-   check the contents of the directory before installing.
-
-   Please note that the layout of the libPatch distribution has changed
-   since libPatch 1.0; the above instructions will not work for 1.0.
-   
-   I did not write libPatch, but am distributing it for your convenience
-   because it may be unavailable from its original source.  libPatch is
-   unsupported; please do not contact libPatchÕs author for support.
-
-3. Check out the source of 'otool' from the Darwin CVS repository.
+2. Check out the source of 'otool' from the Darwin CVS repository.
    This is required because there's a bug in the function that returns
    the 'flavo(u)r' of an application: Cocoa, Carbon, Classic, etc.
@@ -104,10 +82,11 @@
    jam/pbxbuild).  I _think_ this is all you need.
 
-4. Open 'F-Script Anywhere.pbproj' in Project Builder and build the
-   Application target.  It depends on the Library target, so you don't
-   need to build it separately.  You shouldnÕt see any errors or
-   warnings, and the F-Script Anywhere application (as well as the
-   library, which you can ignore because it is also copied into the
-   application bundle) will appear in the build product directory.
+3. Open 'F-Script Anywhere.pbproj' in Xcode and build the Application
+   target.  This target depends on the Bundle and Bundle Loader
+   targets, so you don't need to build them separately.  You
+   shouldnÕt see any errors or warnings, and the F-Script Anywhere
+   application (as well as two bundles, which you can ignore because
+   they are copied into the application bundle) will appear in the
+   build product directory.
 
 If you have any problems building F-Script Anywhere, please let me
@@ -173,24 +152,6 @@
    element, view it in an object browser or assign it to a variable.
 
-
-Q. F-Script Anywhere fails miserably on Jaguar.
-
-A. It shouldnÕt.  Apple re-added support for libPatch to Jaguar late
-   in the development process, with the result that F-Script Anywhere
-   works.  libPatch nevertheless needs to be replaced with a more
-   robust mechanism, and I am currently working on using the Application
-   Enhancer SDK <http://www.unsanity.com/haxies/ape/sdk/> for a future
-   version of F-Script Anywhere.
-
-
-Q. F-Script Anywhere fails to recognize Spring as a Cocoa application.
-
-A. Yes, I'm aware of the irony: I contributed code to Spring.  Spring
-   uses a unique application launching mechanism which makes it
-   difficult to determine what type of application it is.  The only
-   current workaround is to upgrade to Jaguar, where Spring will be
-   correctly identified.  This problem will be remedied with the move
-   to Application Enhancer, described above, in a future version of
-   F-Script Anywhere.
+   The F-Script object browser now provides a similar feature: click the
+   "Select view" button.
 
 
@@ -218,6 +179,22 @@
 ---------------
 
-1.1.6 -                 - better manage window on startup (only display
-                          when launch complete)
+1.2   - 5 January 2004  - fixed window behavior on startup, delaying
+      	  	  	  display until launch is complete
+			- replaced libPatch with mach_inject and
+                          SCPatch: provides improved compatibility
+                          with Mac OS X 10.3 (doesn't crash randomly
+			  any more!)
+                        - no longer requires F-Script Anywhere
+			  application to be running while installed
+			  in applications
+			- F-Script Anywhere can now be installed in
+			  itself
+			- check for F-Script version on startup
+			- use new, documented F-Script API for
+			  identifier validation in associate window
+			- prepared for localization
+			- enable "Install" button when appropriate at
+			  application startup
+			- fixed focus ring "flicker" on Mac OS X 10.3
 1.1.5 - 1 October 2002  - better identify Cocoa vs. Carbon applications
                           on Jaguar; added hierarchical window list to
@@ -266,4 +243,6 @@
 
 Philippe Mougin, for F-Script
+Jonathan 'Wolf' Rentsch, for mach_inject
+Jon Gotow, for SCPatch and lots of advice
 Mike Ferris, for TextExtras
 Apple, for Darwin
